Subject: Re: BUG? locking issue(networking?) with latest git

From: Jarek Poplawski <[email-masked]>
Date: Thu, 4 Sep 2008 09:38:54 +0000

On Thu, Sep 04, 2008 at 12:03:07PM +0300, Denys Fedoryshchenko wrote:
> On Thursday 04 September 2008, Jarek Poplawski wrote:
> > On 03-09-2008 13:22, Denys Fedoryshchenko wrote:
> > > I am getting strange lockup, all operations (tc, ifconfig,pppd) after few
> > > days running pppoe-server.
> > >
> > > Programgs getting blocked very strange way, i am not able to kill them
> > > even. Softlockup detection enabled, lock dependencies (except lock
> > > dependency engine debugging), RT mutexes and deadlock detection enabled
> > > too.
> > >
> > > I notice this bug few weeks ago, even before latest patches, and seems it
> > > still remains.
> >
> > Do you mean this didn't happen with some 2.6.27-rc's? (There was quite
> > substantial change in ppp_generic with lock_kernel() in 2.6.27-rc1.)
> I was not able to run early rc's on my pppoe's. Do you suggest to try reverse 
> those changes?

No, I don't think reverting them would be easy enough (except moving
back to 2.6.26). I simply wonder if you think there were some
2.6.27-rc's tried by you, which didn't lockup like this.

> > Alas it shows only some tasks waiting for locks. Maybe it's enough for
> > someone with better ppp knowledge, but unless there is such a response
> > I guess you should better try with PROVE_LOCKING turned on yet.
> It is already turned on.

So I misread this "except lock dependency engine debugging" part. OK,
I'll try to think about it, but any additional logs should be helpful.
BTW, I wonder if it's possible to test this without SMP?

Jarek P.